package com.yonge.cooleshow.common.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.toolset.base.enums.BaseEnum;

/**
 * 合作单位性质
 */
public enum ECooperateTenantNature implements BaseEnum<String, ECooperateTenantNature> {

    PRIMARY_AND_SECONDARY_SCHOOLS("中小学学校"),
    EDUCATIONAL_INSTITUTIONS("教培机构"),
    PLAYERS("音乐达人"),
    AGENT("代理商"),
    ;

    @EnumValue
    private String code;

    private String desc;

    ECooperateTenantNature(String desc) {
        this.code = this.name();
        this.desc = desc;
    }

    @Override
    public String getCode() {
        return name();
    }

    public String getDesc() {
        return desc;
    }
}
